Mail Webhooks
- OpenAPI Version:
3.1.1 - API Version:
1.0.0
The Zoom Mail webhooks allow developers to receive events for Zoom Mail features.
Servers
- URL:
https://{your-endpoint-url}
Operations
mail.history_event
- Method:
POST - Path:
mail.history_event - Tags: WebHooks
The Mail History Event triggers whenever there is message related change in the mailbox. For example, new message delivered, message moved between folders, message removed, and similar items.
Prerequisites
- Account must have Workplace Business or higher license type.
- Account must have enabled Zoom Mail Service and finished Mail Service Onboarding Flow.
- Mail service End-To-End Encryption is disabled.
- The requested mailbox has been provisioned.
- Enabled Event Subscriptions for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Mail History Event subscription enabled under the Mail event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred in echo milliseconds.payload(required)objectaccount_id(required)string— The account ID of the user whose mailbox having the event.object(required)object— The information of the event.email(required)string— The mailbox email of which event is from.history_id(required)integer— History ID of the event that is generated from the message change.
operator(required)string— The email of the user who triggered the event. It could be the mailbox owner or the mailbox delegate user.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"object": {
"email": "",
"history_id": 1
}
}
}Responses
Status: 200 Successfully received the webhook event.
Schemas
Mail.history_eventEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred in echo milliseconds.payload(required)objectaccount_id(required)string— The account ID of the user whose mailbox having the event.object(required)object— The information of the event.email(required)string— The mailbox email of which event is from.history_id(required)integer— History ID of the event that is generated from the message change.
operator(required)string— The email of the user who triggered the event. It could be the mailbox owner or the mailbox delegate user.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"object": {
"email": "",
"history_id": 1
}
}
}